Superconductor Docs

Chats

List a project's chats and read their conversations.

List chats

GET
/projects/{project_id}/chats

A project's chats.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Path Parameters

project_id*string

Query Parameters

limit?integer

How many records to return.

Formatint32
Range1 <= value <= 1000
Default100
cursor?string

The next_cursor of the previous page.

sort?string

created lists the newest first; last_activity lists the most recently active first.

Default"created"
Value in"created""last_activity"
since?string

Keep only records active at or after this time, such as 2026-10-30T19:00:00Z.

Formatdate-time

Response Body

The request has succeeded.

application/json
  1. response
data*array<>
next_cursor*|

Pass this as cursor to get the next page, or null on the last page.

Example Request
curl -X GET 'https://www.superconductor.com/api/v1/projects/string/chats'
Example Response
{  "data": [    {      "id": "string",      "url": "http://example.com",      "title": "string",      "status": "string",      "profile_name": "string",      "model": "string",      "created_at": "2019-08-24T14:15:22Z",      "last_activity_at": "2019-08-24T14:15:22Z",      "creator": {        "type": "string",        "id": "string",        "name": "string",        "email": "string"      }    }  ],  "next_cursor": "string"}

Get a chat

GET
/chats/{id}

A chat's details.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Path Parameters

id*string

Response Body

The request has succeeded.

application/json
  1. response
id*string
url*string
Formaturi
title*string|null
status*string

Such as idle, running, pending_user, or failed.

profile_name*|

The coding agent in the chat.

model*string|null
created_at*string
Formatdate-time
last_activity_at*string
Formatdate-time
creator*|null
Example Request
curl -X GET 'https://www.superconductor.com/api/v1/chats/string'
Example Response
{  "id": "string",  "url": "http://example.com",  "title": "string",  "status": "string",  "profile_name": "string",  "model": "string",  "created_at": "2019-08-24T14:15:22Z",  "last_activity_at": "2019-08-24T14:15:22Z",  "creator": {    "type": "string",    "id": "string",    "name": "string",    "email": "string"  }}

List a chat's messages

GET
/chats/{id}/messages

A chat's conversation, in order.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Path Parameters

id*string

Query Parameters

limit?integer

How many records to return.

Formatint32
Range1 <= value <= 1000
Default100
cursor?string

The next_cursor of the previous page.

Response Body

The request has succeeded.

application/json
  1. response
data*array<>
next_cursor*|

Pass this as cursor to get the next page, or null on the last page.

Example Request
curl -X GET 'https://www.superconductor.com/api/v1/chats/string/messages'
Example Response
{  "data": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "author": {        "type": "string",        "name": "string",        "id": "string",        "email": "string"      },      "text": "string"    }  ],  "next_cursor": "string"}